$toolsLoc = Get-ToolsLocation

$vstssyncmigrationpath =Join-Path -Path $toolsLoc -ChildPath "\VSTSSyncMigration"
$migrationtoolspath =Join-Path -Path $toolsLoc -ChildPath "\MigrationTools"

if(test-path $vstssyncmigrationpath) {
  write-host "Cleaning out the contents of $vstssyncmigrationpath"
  Remove-Item "$($vstssyncmigrationpath)\*" -recurse -force -exclude *.json
}

if(test-path $migrationtoolspath) {
  write-host "Cleaning out the contents of $migrationtoolspath"
  Remove-Item "$($migrationtoolspath)\*" -recurse -force -exclude *.json
}

Install-ChocolateyZipPackage 'MigrationTools' 'https://github.com/nkdAgility/azure-devops-migration-tools/releases/download/v11.9.28/MigrationTools-11.9.28.zip' $migrationtoolspath -Checksum 388D05DD21DC203EA6D36317C7AA85DE41B5E3811E54F2A8853CBB9EB3AFB910 -ChecksumType SHA256
write-host 'Azure DevOps Migration have been installed. Call `migration` from the command line to see options. You may need to close and reopen the command shell.'
